Payout
Zoqq Payouts enables businesses to make faster, more cost-effective payouts across the globe by connecting to local clearing systems in over countries. With a single Zoqq account and/or one integration, you (and your customers) will be able to move funds globally via Zoqqβs payout network, which currently supports local and SWIFT payouts in countries/regions and over currencies.
Create Beneficiaryβ
- Endpoint
POST {{baseUrl}}/zoqq/api/v1/transfer/beneficiary
Description
This endpoint is used to create a new beneficiary account, which is essential for initiating transfers to that beneficiary. A beneficiary account typically includes important details such as the recipientβs name, account , and other relevant data required to process a transfer.
To successfully create a beneficiary account, the request body must adhere to a specific format or structure. This structure, also known as the schema, can be retrieved using the Get Beneficiary Schema endpoint. It outlines all the required fields, data types, and any conditional logic or rules that must be followed. Using the correct schema ensures the data is valid and reduces the chances of errors during account creation or future transfers.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
π¦ Request Body Parameters
beneficiary object required
address object required
city string required
country_code string required
postcode string required
state string required
street_address string required
bank_details object required
account_currency string required
account_name string required
account_number string required
bank_country_code string required
bank_name string required
swift_code string required
company_name string required
entity_type string required
COMPANY, PERSONAL.transfer_methods array of string required
LOCAL, SWIFT.(e.g.:
["SWIFT"]).- π§© Examples
- π§ͺ Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request POST \
--url '{{baseUrl}}/zoqq/api/v1/transfer/beneficiary' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
--data '{
"beneficiary": {
"address": {
"city": "kol",
"country_code": "US",
"postcode": "4545151",
"state": "wbg",
"street_address": "abcde"
},
"bank_details": {
"account_currency": "USD",
"account_name": "Testairapi",
"account_number": "4454545",
"bank_country_code": "US",
"bank_name": "HSBC",
"swift_code": "{{swift-code}}"
},
"company_name": "Stylopay",
"entity_type": "COMPANY"
},
"transfer_methods": [
"SWIFT"
]
}'
import requests
import json
url = "{{baseUrl}}/zoqq/api/v1/transfer/beneficiary"
payload = json.dumps({
"beneficiary": {
"address": {
"city": "kol",
"country_code": "US",
"postcode": "4545151",
"state": "wbg",
"street_address": "abcde"
},
"bank_details": {
"account_currency": "USD",
"account_name": "Testairapi",
"account_number": "4454545",
"bank_country_code": "US",
"bank_name": "HSBC",
"swift_code": "{{swift-code}}"
},
"company_name": "Stylopay",
"entity_type": "COMPANY"
},
"transfer_methods": [
"SWIFT"
]
})
headers = {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Authorization': 'Bearer {{AccessToken}}',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"beneficiary\": {\n \"address\": {\n \"city\": \"kol\",\n \"country_code\": \"US\",\n \"postcode\": \"4545151\",\n \"state\": \"wbg\",\n \"street_address\": \"abcde\"\n },\n \"bank_details\": {\n \"account_currency\": \"USD\",\n \"account_name\": \"Testairapi\",\n \"account_number\": \"4454545\",\n \"bank_country_code\": \"US\",\n \"bank_name\": \"HSBC\",\n \"swift_code\": \"{{swift-code}}\"\n },\n \"company_name\": \"Stylopay\",\n \"entity_type\": \"COMPANY\"\n },\n \"transfer_methods\": [\n \"SWIFT\"\n ]\n}");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/beneficiary")
.method("POST", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.addHeader("Content-Type", "application/json")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let data = JSON.stringify({
"beneficiary": {
"address": {
"city": "kol",
"country_code": "US",
"postcode": "4545151",
"state": "wbg",
"street_address": "abcde"
},
"bank_details": {
"account_currency": "USD",
"account_name": "Testairapi",
"account_number": "4454545",
"bank_country_code": "US",
"bank_name": "HSBC",
"swift_code": "{{swift-code}}"
},
"company_name": "Stylopay",
"entity_type": "COMPANY"
},
"transfer_methods": [
"SWIFT"
]
});
let config = {
method: 'post',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/beneficiary',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "Beneficiary Created Successfully",
"data": [
{
"id": "beneficiary-id",
"beneficiary_account_currency": null,
"beneficiary_account_number": null
}
]
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}
π€ Create Beneficiary β Sandbox
π Headers
π Request Body
π» Generated cURL Command
β―Get Beneficiary Schemaβ
Ideal for generating forms or validating beneficiary details when adding a new beneficiary in a payout.
- Endpoint
GET {{baseUrl}}/zoqq/api/v1/transfer/beneficiaryschema
Description
This API retrieves the beneficiary schema required for initiating a transfer based on the specified transfer method, entity type, bank country, and account currency. This schema outlines the required fields and validations necessary for creating or validating a beneficiary profile in compliance with Zoqq's transfer policies.
This endpoint is useful when dynamically building forms or validating input fields for adding a new beneficiary during a fund transfer process.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
π Query Parameters
account_currency string required
bank_country_code string required
entity_type string required
COMPANY, PERSONAL.transfer_method string required
LOCAL, SWIFT.- π§© Examples
- π§ͺ Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request GET \
--url '{{baseUrl}}/zoqq/api/v1/transfer/beneficiaryschema?account_currency=USD&bank_country_code=US&entity_type=COMPANY&transfer_method=SWIFT' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'
import requests
url = "{{baseUrl}}/zoqq/api/v1/transfer/beneficiaryschema?account_currency=USD&bank_country_code=US&entity_type=COMPANY&transfer_method=SWIFT"
payload = {}
headers = {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/beneficiaryschema?account_currency=USD&bank_country_code=US&entity_type=COMPANY&transfer_method=SWIFT")
.method("GET", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let config = {
method: 'get',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/beneficiaryschema?account_currency=USD&bank_country_code=US&entity_type=COMPANY&transfer_method=SWIFT',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "BeneficiarySchema fetched Successfully",
"data": [
{
"key": "entity_type",
"path": "beneficiary.entity_type",
"required": true,
"rule": {
"type": "string",
"pattern": "COMPANY|PERSONAL"
}
},
{
"key": "bank_country_code",
"path": "beneficiary.bank_details.bank_country_code",
"required": true,
"rule": {
"type": "string",
"pattern": "AD|AE|AG|AI|AL|AM|AO|AR|AS|AT|AU|AW|AZ|BA|BB|BD|BE|BF|BG|BH|BJ|BL|BM|BN|BO|BR|BS|BT|BW|BZ|CA|CF|CG|CH|CI|CK|CL|CM|CN|CO|CR|CV|CW|CY|CZ|DE|DJ|DK|DM|DO|DZ|EC|EE|EG|ES|ET|FI|FJ|FK|FM|FO|FR|GA|GB|GD|GE|GF|GG|GH|GI|GL|GM|GN|GQ|GR|GT|GW|GY|HK|HN|HR|HU|IC|ID|IE|IL|IM|IN|IS|IT|JE|JM|JO|JP|KE|KG|KH|KI|KN|KR|KW|KY|KZ|LA|LB|LC|LI|LK|LR|LS|LT|LU|LV|MA|MC|MD|ME|MF|MG|MH|MK|MN|MO|MP|MQ|MR|MS|MT|MU|MV|MW|MX|MY|NA|NC|NE|NG|NI|NL|NO|NP|NZ|OM|PA|PE|PF|PG|PH|PK|PL|PM|PR|PS|PT|PW|PY|QA|RE|RO|RS|RW|SA|SB|SC|SE|SG|SH|SI|SK|SL|SM|SN|SR|ST|SV|SZ|TC|TD|TF|TG|TH|TJ|TL|TN|TO|TR|TT|TV|TW|TZ|UA|UG|US|UY|UZ|VA|VC|VG|VN|VU|WF|WS|XK|YT|ZA|ZM|ZW"
}
},
{
"key": "account_currency",
"path": "beneficiary.bank_details.account_currency",
"required": true,
"rule": {
"type": "string",
"pattern": "AED|AOA|ARS|AUD|BDT|BGN|BHD|BOB|BRL|BWP|CAD|CHF|CLP|CNY|COP|CZK|DKK|EGP|EUR|GBP|GMD|HKD|HUF|IDR|ILS|INR|JPY|KES|KRW|LKR|LSL|MAD|MGA|MWK|MXN|MYR|NAD|NGN|NOK|NPR|NZD|PEN|PHP|PKR|PLN|PYG|RON|RWF|SAR|SEK|SGD|THB|TRY|USD|UYU|VND|XAF|XOF|ZAR|ZMW"
}
},
{
"key": "transfer_method",
"path": "transfer_method",
"required": true,
"rule": {
"type": "string",
"pattern": "LOCAL|SWIFT"
}
},
{
"key": "company_name",
"path": "beneficiary.company_name",
"required": true,
"rule": {
"type": "string",
"pattern": "^[\\s\\S]{1,100}$"
}
},
{
"key": "swift_code",
"path": "beneficiary.bank_details.swift_code",
"required": true,
"rule": {
"type": "string",
"pattern": "^[A-Z]{4}US[A-Z0-9]{2}([A-Z0-9]{3})?$"
}
},
{
"key": "account_number",
"path": "beneficiary.bank_details.account_number",
"required": true,
"rule": {
"pattern": "^[0-9A-Za-z]{1,26}$",
"type": "string"
}
},
{
"key": "account_name",
"path": "beneficiary.bank_details.account_name",
"required": true,
"rule": {
"type": "string",
"pattern": "^[\\s\\S]{2,200}$"
}
},
{
"key": "country_code",
"path": "beneficiary.address.country_code",
"required": true,
"rule": {
"type": "string",
"pattern": "AD|AE|AF|AG|AI|AL|AM|AN|AO|AQ|AR|AS|AT|AU|AW|AX|AZ|BA|BB|BD|BE|BF|BG|BH|BI|BJ|BL|BM|BN|BO|BQ|BR|BS|BT|BV|BW|BZ|CA|CC|CD|CF|CG|CH|CI|CK|CL|CM|CN|CO|CR|CV|CW|CX|CY|CZ|DE|DJ|DK|DM|DO|DZ|EC|EE|EG|EH|ER|ES|ET|FI|FJ|FK|FM|FO|FR|GA|GB|GD|GE|GF|GG|GH|GI|GL|GM|GN|GP|GQ|GR|GS|GT|GU|GW|GY|HK|HM|HN|HR|HT|HU|IC|ID|IE|IL|IM|IN|IO|IQ|IS|IT|JE|JM|JO|JP|KE|KG|KH|KI|KM|KN|KR|KW|KY|KZ|LA|LB|LC|LI|LK|LR|LS|LT|LU|LV|MA|MC|MD|ME|MF|MG|MH|MK|ML|MN|MO|MP|MQ|MR|MS|MT|MU|MV|MW|MX|MY|MZ|NA|NC|NE|NF|NG|NI|NL|NO|NP|NR|NU|NZ|OM|PA|PE|PF|PG|PH|PK|PL|PM|PN|PR|PS|PT|PW|PY|QA|RE|RO|RS|RW|SA|SB|SC|SD|SE|SG|SH|SI|SJ|SK|SL|SM|SN|SO|SR|SS|ST|SV|SX|SZ|TC|TD|TF|TG|TH|TJ|TK|TL|TM|TN|TO|TR|TT|TV|TW|TZ|UA|UG|UM|US|UY|UZ|VA|VC|VE|VG|VI|VN|VU|WF|WS|XK|YE|YT|ZA|ZM|ZW"
}
},
{
"key": "postcode",
"path": "beneficiary.address.postcode",
"required": true,
"rule": {
"pattern": "^[0-9]{5}(?:-[0-9]{4})?$",
"type": "string"
}
},
{
"key": "street_address",
"path": "beneficiary.address.street_address",
"required": true,
"rule": {
"type": "string",
"pattern": "(^(?!\\d+$))^[\\s\\S]{5,200}$"
}
},
{
"key": "city",
"path": "beneficiary.address.city",
"required": true,
"rule": {
"type": "string",
"pattern": "^[\\s\\S]{1,50}$"
}
},
{
"key": "state",
"path": "beneficiary.address.state",
"required": true,
"rule": {
"type": "string",
"pattern": "US-AK|US-AL|US-AR|US-AS|US-AZ|US-CA|US-CO|US-CT|US-DC|US-DE|US-FL|US-GA|US-GU|US-HI|US-IA|US-ID|US-IL|US-IN|US-KS|US-KY|US-LA|US-MA|US-MD|US-ME|US-MI|US-MN|US-MO|US-MP|US-MS|US-MT|US-NC|US-ND|US-NE|US-NH|US-NJ|US-NM|US-NV|US-NY|US-OH|US-OK|US-OR|US-PA|US-PR|US-RI|US-SC|US-SD|US-TN|US-TX|US-UM|US-UT|US-VA|US-VI|US-VT|US-WA|US-WI|US-WV|US-WY"
}
},
{
"key": "nickname",
"path": "nickname",
"required": false
},
{
"key": "personal_email",
"path": "beneficiary.additional_info.personal_email",
"required": false,
"rule": {
"type": "string",
"pattern": "^(\\S+@\\S+)$"
}
}
]
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}
π Get Beneficiary Schema β Sandbox
π Headers
π Query Parameters
π» Generated cURL Command
β―Update Beneficiaryβ
- Endpoint
PATCH {{baseUrl}}/zoqq/api/v1/transfer/beneficiary
Description
This endpoint allows partial updates to an existing beneficiary's information. You only need to include the fields you want to change, such as name, bank details, or address. The updates are validated using the same schema as beneficiary creation, ensuring they meet the requirements for the relevant transfer corridor. Unspecified fields remain unchanged.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
π¦ Request Body Parameters
nickname string
transfer_methods array of string
LOCAL, SWIFT.(e.g.:
["SWIFT","LOCAL"]).beneficiary object
entity_type string
COMPANY, PERSONAL.company_name string
bank_details object
bank_country_code string required
account_currency string required
account_number string required
account_name string required
account_routing_value1 string
account_routing_type1 string
account_routing_value1 (e.g. aba).swift_code string required
address object
country_code string required
postcode string required
street_address string required
city string required
state string required
additional_info object
personal_email string
π Path Parameters
BeneficiaryID string required
- π§© Examples
- π§ͺ Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request PATCH \
--url '{{baseUrl}}/zoqq/api/v1/transfer/beneficiary/:BeneficiaryID' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
--data '{
"nickname": "Air",
"transfer_methods": ["SWIFT","LOCAL"],
"beneficiary": {
"entity_type": "COMPANY",
"company_name": "WinterFell",
"bank_details": {
"bank_country_code": "US",
"account_currency": "USD",
"account_number": "12345",
"account_name": "Test Air",
"account_routing_value1": "021000322",
"account_routing_type1": "aba",
"swift_code": "{{swift-code}}"
},
"address": {
"country_code": "US",
"postcode": "10001",
"street_address": "123 Market Street",
"city": "New York",
"state": "US-NY"
},
"additional_info": {
"personal_email": ""
}
}
}'
import requests
import json
url = "{{baseUrl}}/zoqq/api/v1/transfer/beneficiary/:BeneficiaryID"
payload = json.dumps({
"nickname": "Air",
"transfer_methods": [
"SWIFT",
"LOCAL"
],
"beneficiary": {
"entity_type": "COMPANY",
"company_name": "WinterFell",
"bank_details": {
"bank_country_code": "US",
"account_currency": "USD",
"account_number": "12345",
"account_name": "Test Air",
"account_routing_value1": "021000322",
"account_routing_type1": "aba",
"swift_code": "{{swift-code}}"
},
"address": {
"country_code": "US",
"postcode": "10001",
"street_address": "123 Market Street",
"city": "New York",
"state": "US-NY"
},
"additional_info": {
"personal_email": ""
}
}
})
headers = {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"nickname\": \"Air\",\n \"transfer_methods\": [\"SWIFT\",\"LOCAL\"],\n \"beneficiary\": {\n \"entity_type\": \"COMPANY\",\n \"company_name\": \"WinterFell\",\n \"bank_details\": {\n \"bank_country_code\": \"US\",\n \"account_currency\": \"USD\",\n \"account_number\": \"12345\",\n \"account_name\": \"Test Air\",\n \"account_routing_value1\": \"021000322\",\n \"account_routing_type1\": \"aba\",\n \"swift_code\":\"{{swift-code}}\"\n },\n \"address\": {\n \"country_code\": \"US\",\n \"postcode\": \"10001\",\n \"street_address\": \"123 Market Street\",\n \"city\": \"New York\",\n \"state\": \"US-NY\"\n },\n \"additional_info\": {\n \"personal_email\": \"\"\n }\n }\n}");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/beneficiary/:BeneficiaryID")
.method("PATCH", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let data = JSON.stringify({
"nickname": "Air",
"transfer_methods": [
"SWIFT",
"LOCAL"
],
"beneficiary": {
"entity_type": "COMPANY",
"company_name": "WinterFell",
"bank_details": {
"bank_country_code": "US",
"account_currency": "USD",
"account_number": "12345",
"account_name": "Test Air",
"account_routing_value1": "021000322",
"account_routing_type1": "aba",
"swift_code": "{{swift-code}}"
},
"address": {
"country_code": "US",
"postcode": "10001",
"street_address": "123 Market Street",
"city": "New York",
"state": "US-NY"
},
"additional_info": {
"personal_email": ""
}
}
});
let config = {
method: 'patch',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/beneficiary/:BeneficiaryID',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "Beneficiary Details Updated Successfully",
"data": [
{
"id": "beneficiary-id",
"beneficiary_account_currency": null,
"beneficiary_account_number": null
}
]
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}
π οΈ Update Beneficiary β Sandbox
π Headers
π Path Parameters
π Request Body
π» Generated cURL Command
β―Get Beneficiary Listβ
This API retrieves a list of all beneficiaries associated with the authenticated user.
- Endpoint
GET {{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist
Description
This endpoint returns a paginated list of beneficiaries created by the user, along with their status and supported payout methods. You can filter results by status or currency and control pagination using limit and offset query parameters.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
- π§© Examples
- π§ͺ Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request GET \
--url '{{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'
import requests
url = "{{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist"
payload = {}
headers = {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist")
.method("GET", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let config = {
method: 'get',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "Beneficiary fetched Successfully",
"data": [
{
"beneficiaryId": "beneficiary-id",
"fullName": "",
"nickname": "COMPANY",
"bankDetails": {
"account_currency": "USD",
"account_name": "Air",
"account_number": "12345",
"bank_country_code": "US",
"bank_name": "U.S. BANK N.A.",
"swift_code": "swift-code",
"local_clearing_system": null,
"account_routing_type1": "aba",
"account_routing_value1": "021000322",
"account_routing_type2": null,
"account_routing_value2": null,
"bank_branch": null
}
},
{
"beneficiaryId": "beneficiary-id",
"fullName": "",
"nickname": "COMPANY",
"bankDetails": {
"account_currency": "USD",
"account_name": "Schneider - Powlowski",
"account_number": "12345",
"bank_country_code": "US",
"bank_name": "JPMORGAN CHASE BANK, N.A.",
"swift_code": "swift-code",
"local_clearing_system": null,
"account_routing_type1": null,
"account_routing_value1": null,
"account_routing_type2": null,
"account_routing_value2": null,
"bank_branch": null
}
}
]
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}
π§Ύ Get Beneficiary List β Sandbox
π Headers
π» Generated cURL Command
β―Get Beneficiary By IDβ
- Endpoint
GET {{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist
Description
This endpoint retrieves full details of a specific beneficiary by specifying the beneficiary ID.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
π Path Parameters
BeneficiaryID string required
- π§© Examples
- π§ͺ Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request GET \
--url '{{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist/:BeneficiaryID' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'
import requests
import json
url = "{{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist/:BeneficiaryID"
payload = {}
headers = {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist/:BeneficiaryID")
.method("GET", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let config = {
method: 'get',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/beneficiarylist/:BeneficiaryID',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "Beneficiary fetched Successfully",
"data": [
{
"beneficiary": {
"additional_info": {
"personal_email": ""
},
"address": {
"city": "New York",
"country_code": "US",
"postcode": "10001",
"state": "US-NY",
"street_address": "123 Market Street"
},
"bank_details": {
"account_currency": "USD",
"account_name": "Test Air",
"account_number": "1234567890",
"account_routing_type1": "aba",
"account_routing_value1": "021000322",
"bank_country_code": "US",
"bank_name": "U.S. BANK N.A.",
"swift_code": "swift-code"
},
"entity_type": "COMPANY"
},
"id": "beneficiary-id",
"nickname": "Test Air",
"payer_entity_type": "COMPANY",
"transfer_methods": [
"SWIFT",
"LOCAL"
]
}
]
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}
π Get Beneficiary By ID β Sandbox
π Headers
π Path Parameters
π» Generated cURL Command
β―Delete Beneficiaryβ
This API removes a specified beneficiary from your beneficiary list.
- Endpoint
DELETE {{baseUrl}}/zoqq/api/v1/transfer/beneficiary
Description
This endpoint deletes an existing beneficiary using the beneficiary ID. It is typically used when a user no longer wants a beneficiary saved for future payouts.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
π Path Parameters
BeneficiaryID string required
- π§© Examples
- π§ͺ Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request DELETE \
--url '{{baseUrl}}/zoqq/api/v1/transfer/beneficiary/:BeneficiaryID' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'
import requests
url = "{{baseUrl}}/zoqq/api/v1/transfer/beneficiary/:BeneficiaryID"
payload = {}
headers = {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/beneficiary/:BeneficiaryID")
.method("DELETE", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let config = {
method: 'delete',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/beneficiary/:BeneficiaryID',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "Beneficiary Deleted Successfully",
"data": null
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}
ποΈ Delete Beneficiary β Sandbox
π Headers
π Path Parameters
π» Generated cURL Command
β―Create Payoutβ
- Endpoint
POST {{baseUrl}}/zoqq/api/v1/transfer/payout
Description
This endpoint initiates a payout transfer to a registered beneficiary account. The endpoint validates the input and processes the transfer based on the provided details.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
π¦ Request Body Parameters
beneficiaryId string required
sourceAmount double conditional
null if destinationAmount is provided.sourceCurrencycode string required
destinationAmount double conditional
null if sourceAmount is provided.destinationCurrencycode string required
destinationCountry string required
feeType string required
OUR, SHAquoteId string required
reference string required
sourceOfFunds string required
transferMethod string required
SWIFT, LOCAL.scheduledPayoutDate string required
YYYY-MM-DD). Should be today or a future date.- π§© Examples
- π§ͺ Try It Out
Request Examples
- cURL
- Python
- Java
- NodeJs
curl --location --request POST \
--url '{{baseUrl}}/zoqq/api/v1/transfer/payout' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
--data '{
"beneficiaryId": "{{BeneficiaryID}}",
"sourceAmount": 10,
"sourceCurrencycode": "USD",
"destinationAmount": null,
"destinationCurrencycode": "SGD",
"destinationCountry": "SG",
"feeType": "SHA",
"quoteId":"{{QuoteID}}",
"reference": "Test reference-id",
"sourceOfFunds": "professional_business_services",
"transferMethod": "LOCAL",
"scheduledPayoutDate":"2025-09-04"
}'
import requests
import json
url = "{{baseUrl}}/zoqq/api/v1/transfer/payout"
payload = json.dumps({
"beneficiaryId": "{{BeneficiaryID}}",
"sourceAmount": 10,
"sourceCurrencycode": "USD",
"destinationAmount": null,
"destinationCurrencycode": "SGD",
"destinationCountry": "SG",
"feeType": "SHA",
"quoteId":"{{QuoteID}}",
"reference": "Test reference-id",
"sourceOfFunds": "professional_business_services",
"transferMethod": "LOCAL",
"scheduledPayoutDate":"2025-09-04"
})
headers = {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\r\n \"beneficiaryId\": \"{{BeneficiaryID}}\",\r\n \"sourceAmount\": 10,\r\n \"sourceCurrencycode\": \"USD\",\r\n \"destinationAmount\": null,\r\n \"destinationCurrencycode\": \"SGD\",\r\n \"destinationCountry\": \"SG\",\r\n \"feeType\": \"SHA\",\r\n \"quoteId\":\"{{QuoteID}}\",\r\n \"reference\": \"Test reference-id\",\r\n \"sourceOfFunds\": \"professional_business_services\",\r\n \"transferMethod\": \"LOCAL\",\r\n \"scheduledPayoutDate\":\"2025-09-04\"\r\n}");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/payout")
.method("POST", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let data = JSON.stringify({
"beneficiaryId": "{{BeneficiaryID}}",
"sourceAmount": 10,
"sourceCurrencycode": "USD",
"destinationAmount": null,
"destinationCurrencycode": "SGD",
"destinationCountry": "SG",
"feeType": "SHA",
"quoteId": "{{QuoteID}}",
"reference": "Test reference-id",
"sourceOfFunds": "professional_business_services",
"transferMethod": "LOCAL",
"scheduledPayoutDate": "2025-09-04"
});
let config = {
method: 'post',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/payout',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "Payout Created Successfully",
"data": [
{
"id": "pyt_12345",
"systemReferenceNumber": "sys_ref_67890"
}
]
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}
πΈ Create Payout β Sandbox
π Headers
π Request Body
π» Generated cURL Command
β―Get Payout Statusβ
- Endpoint
GET {{baseUrl}}/zoqq/api/v1/transfer/payout
Description
This endpoint provides detailed information and the current status of a payout transaction identified by its payout ID.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
π Path Parameters
PayoutID string required
- π§© Examples
- π§ͺ Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request GET \
--url '{{baseUrl}}/zoqq/api/v1/transfer/payout/:PayoutID' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'
import requests
url = "{{baseUrl}}/zoqq/api/v1/transfer/payout/:PayoutID"
payload = {}
headers = {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/payout/:PayoutID")
.method("GET", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let config = {
method: 'get',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/payout/:PayoutID',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "Payout Details Fetched",
"data": [
{
"id": "pyt_12345",
"status": "PROCESSING"
}
]
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}
π Get Payout Status β Sandbox
π Headers
π Path Parameters
π» Generated cURL Command
β―Cancel Payoutβ
This API allows cancellation of pending payout transactions.
- Endpoint
PATCH {{baseUrl}}/zoqq/api/v1/transfer/cancelpayout
Description
This endpoint cancels a pending payout transaction using either the payout ID or system reference number. The request body must include one of the two identifiers to locate and cancel the transaction. Only pending payouts can be canceled.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
π¦ Request Body Parameters
id string conditional
systemReferenceNumber string conditional
- π§© Examples
- π§ͺ Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request PATCH \
--url '{{baseUrl}}/zoqq/api/v1/transfer/cancelpayout' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
--data '{
"id": "pyt_12345",
"systemReferenceNumber": "sys_ref_67890"
}'
import requests
import json
url = "{{baseUrl}}/zoqq/api/v1/transfer/cancelpayout"
payload = {
"id": "pyt_12345",
"systemReferenceNumber": "sys_ref_67890"
}
headers = {
"x-api-key": "{{Shared X-API key By Zoqq}}",
"x-product-id": "{{Shared ProductID By Zoqq}}",
"x-request-id": "{{IdempotencyKey}}",
"x-user-id": "{{UserID}}",
"Content-Type": "application/json",
"Authorization": "Bearer {{AccessToken}}"
}
response = requests.patch(url, headers=headers, data=json.dumps(payload))
print(response.json())
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\r\n \"id\": \"pyt_12345\",\r\n \"systemReferenceNumber\": \"sys_ref_67890\"\r\n}");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/cancelpayout")
.method("PATCH", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let data = JSON.stringify({
"id": "pyt_12345",
"systemReferenceNumber": "sys_ref_67890"
});
let config = {
method: 'patch',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/cancelpayout',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "Payout cancelled successfully",
"data": {}
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}
π« Cancel Payout β Sandbox
π Headers
π Request Body
π» Generated cURL Command
β―Scheduled Payout Listβ
This API retrieves all upcoming payout transactions that are scheduled but not yet processed.
- Endpoint
GET {{baseUrl}}/zoqq/api/v1/transfer/upcomingpayouts
Description
This endpoint returns a list of all upcoming or scheduled payout transactions for a given user or account. It can be used to track payouts that are planned but not yet completed.
π© Request Headers
x-api-key string required
x-product-id string required
x-request-id string required
x-user-id string required
Content-Type string required
application/jsonAuthorization string required
- π§© Examples
- π§ͺ Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request GET \
--url '{{baseUrl}}/zoqq/api/v1/transfer/upcomingpayouts' \
--header 'x-api-key: {{Shared X-API key By Zoqq}}' \
--header 'x-product-id: {{Shared ProductID By Zoqq}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'
import requests
url = "{{baseUrl}}/zoqq/api/v1/transfer/upcomingpayouts"
payload = {}
headers = {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}},
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{baseUrl}}/zoqq/api/v1/transfer/upcomingpayouts")
.method("GET", body)
.addHeader("x-api-key", "{{Shared X-API key By Zoqq}}")
.addHeader("x-product-id", "{{Shared ProductID By Zoqq}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("x-user-id", "{{UserID}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let config = {
method: 'get',
maxBodyLength: Infinity,
url: '{{baseUrl}}/zoqq/api/v1/transfer/upcomingpayouts',
headers: {
'x-api-key': '{{Shared X-API key By Zoqq}}',
'x-product-id': '{{Shared ProductID By Zoqq}}',
'x-request-id': '{{IdempotencyKey}}',
'x-user-id': '{{UserID}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"code": 200,
"status": "success",
"message": "No upcoming payouts found",
"data": []
}
{
"code": 400,
"status": "Error",
"message": "Error Message"
}